#!/bin/sh -efu

CLI_KONFD_CONFIG="/etc/default/klish-konfd"
X10_KONFD_CONFIG="/etc/default/x10-konfd"

CLI_KONFD_SOCKET=/tmp/x10-konfd.socket
X10_KONFD_SOCKET=/tmp/x10-konfd.socket

[ -n "$KONFD_CONFIG" ] || KONFD_CONFIG="$CLI_KONFD_CONFIG"
[ -f "$KONFD_CONFIG" ] || KONFD_CONFIG="$X10_KONFD_CONFIG"

if [ -f "$KONFD_CONFIG" ]; then
    KONFD_SOCKET="$(. "$KONFD_CONFIG"; echo "$SOCK")"
fi
if [ "${KONFD_CONFIG##*/}" = "x10-konfd" ]; then
    MODE="x10"
    [ -n "$KONFD_SOCKET" ] || KONFD_SOCKET="$X10_KONFD_SOCKET"
else
    MODE="cli"
    [ -n "$KONFD_SOCKET" ] || KONFD_SOCKET="$CLI_KONFD_SOCKET"
fi

# Check the konfd socket
if ! [ -S "$KONFD_SOCKET" ]; then
    echo "File $KONFD_SOCKET doesn't exist or isn't a socket" >&2
    exit 1
fi
